Return a tag by id.
GET
/api/workspace/tags/{tagId}
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/tags/example"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/tags/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/tags/exampleAuthorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tagId
required
string
Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Tag details.
object
Id
Tag identifier.
string
Owner
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
TagName
Tag name.
string
Color
Optional color value.
string
Category
Optional category.
string
CreatedAt
Creation timestamp.
string format: date-time
CreatedByUserId
Creator identifier, or null for legacy rows without attribution.
string
CreatedByUserName
Creator display name.
string
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
Media typeapplication/problem+json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
code
string
field
string
metadata
object
key
additional properties
string
correlationId
required
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "field": "example", "metadata": { "additionalProperty": "example" }, "correlationId": "example"}Not Found
Media typeapplication/json
object
Data
Tag details.
object
Id
Tag identifier.
string
Owner
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
TagName
Tag name.
string
Color
Optional color value.
string
Category
Optional category.
string
CreatedAt
Creation timestamp.
string format: date-time
CreatedByUserId
Creator identifier, or null for legacy rows without attribution.
string
CreatedByUserName
Creator display name.
string
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}